package com.ruoyi.mesInfo.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * mes装机信息卡对象 mes_info
 * 
 * @author yanxun
 * @date 2023-08-10
 */
public class MesInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long keyId;

    /** 任务号 */
    @Excel(name = "任务号")
    private String taskno;

    /** 工单号 */
    @Excel(name = "工单号")
    private String wo;

    /** 制令单号 */
    @Excel(name = "制令单号")
    private String mo;

    /** 生产条码 */
    @Excel(name = "生产条码")
    private String serialNumber;

    /** 出所编号 */
    @Excel(name = "出所编号")
    private String outNo;

    /** 产品代号 */
    @Excel(name = "产品代号")
    private String productNumber;

    /** 唯一id */
    private Long id;

    /** 物料编码 */
    @Excel(name = "物料编码")
    private String pnCode;

    /** 物料名称 */
    @Excel(name = "物料名称")
    private String pnName;

    /** 批次 */
    @Excel(name = "批次")
    private String batchNo;

    /** 元器件编号 */
    @Excel(name = "元器件编号")
    private String componentSn;

    /** 供应商 */
    @Excel(name = "供应商")
    private String supplier;

    /** 质量等级 */
    @Excel(name = "质量等级")
    private String qualitygrate;

    /** 位号 */
    @Excel(name = "位号")
    private String pcbItem;

    /** 数量 */
    @Excel(name = "数量")
    private BigDecimal qty;

    /** 有效期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "有效期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date validDate;

    /** 筛选情况 */
    @Excel(name = "筛选情况")
    private String filter;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 更新人 */
    @Excel(name = "更新人")
    private String updator;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updateDate;

    /** 位号2 */
    @Excel(name = "位号2")
    private String pcbItem2;

    /** 型号规格 */
    @Excel(name = "型号规格")
    private String pnSpec;

    /** 物料条码 */
    @Excel(name = "物料条码")
    private String iqcSn;

    /** 操作者 */
    @Excel(name = "操作者")
    private String workMan;

    /** 操作工序 */
    @Excel(name = "操作工序")
    private String workLocat;

    /** 检验者 */
    @Excel(name = "检验者")
    private String checkMan;

    /** j检验时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "j检验时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date checkDate;

    /** 原始位号 */
    @Excel(name = "原始位号")
    private String pcbItemS;

    /** 原始数量 */
    @Excel(name = "原始数量")
    private BigDecimal qtyS;

    /** 拆除位号 */
    @Excel(name = "拆除位号")
    private String pcbItemR;

    /** 拆除数量 */
    @Excel(name = "拆除数量")
    private BigDecimal qtyR;

    /** 呈现位号 */
    @Excel(name = "呈现位号")
    private String pcbItemShow;

    /** PID */
    @Excel(name = "PID")
    private String pid;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String dpano;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String technicalstandard;

    /** 行号 */
    @Excel(name = "行号")
    private String iqcIndex;

    /** 出库单号 */
    @Excel(name = "出库单号")
    private String outStockNo;

    /** 印制板号 */
    @Excel(name = "印制板号")
    private String boardNo;

    /** 入库批次号 */
    @Excel(name = "入库批次号")
    private String inbatchno;

    /** 采购单价 */
    @Excel(name = "采购单价")
    private BigDecimal purchaseprice;

    /** 内部单价 */
    @Excel(name = "内部单价")
    private BigDecimal internalprice;

    public void setKeyId(Long keyId) 
    {
        this.keyId = keyId;
    }

    public Long getKeyId() 
    {
        return keyId;
    }
    public void setTaskno(String taskno) 
    {
        this.taskno = taskno;
    }

    public String getTaskno() 
    {
        return taskno;
    }
    public void setWo(String wo) 
    {
        this.wo = wo;
    }

    public String getWo() 
    {
        return wo;
    }
    public void setMo(String mo) 
    {
        this.mo = mo;
    }

    public String getMo() 
    {
        return mo;
    }
    public void setSerialNumber(String serialNumber) 
    {
        this.serialNumber = serialNumber;
    }

    public String getSerialNumber() 
    {
        return serialNumber;
    }
    public void setOutNo(String outNo) 
    {
        this.outNo = outNo;
    }

    public String getOutNo() 
    {
        return outNo;
    }
    public void setProductNumber(String productNumber) 
    {
        this.productNumber = productNumber;
    }

    public String getProductNumber() 
    {
        return productNumber;
    }
    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setPnCode(String pnCode) 
    {
        this.pnCode = pnCode;
    }

    public String getPnCode() 
    {
        return pnCode;
    }
    public void setPnName(String pnName) 
    {
        this.pnName = pnName;
    }

    public String getPnName() 
    {
        return pnName;
    }
    public void setBatchNo(String batchNo) 
    {
        this.batchNo = batchNo;
    }

    public String getBatchNo() 
    {
        return batchNo;
    }
    public void setComponentSn(String componentSn) 
    {
        this.componentSn = componentSn;
    }

    public String getComponentSn() 
    {
        return componentSn;
    }
    public void setSupplier(String supplier) 
    {
        this.supplier = supplier;
    }

    public String getSupplier() 
    {
        return supplier;
    }
    public void setQualitygrate(String qualitygrate) 
    {
        this.qualitygrate = qualitygrate;
    }

    public String getQualitygrate() 
    {
        return qualitygrate;
    }
    public void setPcbItem(String pcbItem) 
    {
        this.pcbItem = pcbItem;
    }

    public String getPcbItem() 
    {
        return pcbItem;
    }
    public void setQty(BigDecimal qty) 
    {
        this.qty = qty;
    }

    public BigDecimal getQty() 
    {
        return qty;
    }
    public void setValidDate(Date validDate) 
    {
        this.validDate = validDate;
    }

    public Date getValidDate() 
    {
        return validDate;
    }
    public void setFilter(String filter) 
    {
        this.filter = filter;
    }

    public String getFilter() 
    {
        return filter;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }
    public void setUpdator(String updator) 
    {
        this.updator = updator;
    }

    public String getUpdator() 
    {
        return updator;
    }
    public void setUpdateDate(Date updateDate) 
    {
        this.updateDate = updateDate;
    }

    public Date getUpdateDate() 
    {
        return updateDate;
    }
    public void setPcbItem2(String pcbItem2) 
    {
        this.pcbItem2 = pcbItem2;
    }

    public String getPcbItem2() 
    {
        return pcbItem2;
    }
    public void setPnSpec(String pnSpec) 
    {
        this.pnSpec = pnSpec;
    }

    public String getPnSpec() 
    {
        return pnSpec;
    }
    public void setIqcSn(String iqcSn) 
    {
        this.iqcSn = iqcSn;
    }

    public String getIqcSn() 
    {
        return iqcSn;
    }
    public void setWorkMan(String workMan) 
    {
        this.workMan = workMan;
    }

    public String getWorkMan() 
    {
        return workMan;
    }
    public void setWorkLocat(String workLocat) 
    {
        this.workLocat = workLocat;
    }

    public String getWorkLocat() 
    {
        return workLocat;
    }
    public void setCheckMan(String checkMan) 
    {
        this.checkMan = checkMan;
    }

    public String getCheckMan() 
    {
        return checkMan;
    }
    public void setCheckDate(Date checkDate) 
    {
        this.checkDate = checkDate;
    }

    public Date getCheckDate() 
    {
        return checkDate;
    }
    public void setPcbItemS(String pcbItemS) 
    {
        this.pcbItemS = pcbItemS;
    }

    public String getPcbItemS() 
    {
        return pcbItemS;
    }
    public void setQtyS(BigDecimal qtyS) 
    {
        this.qtyS = qtyS;
    }

    public BigDecimal getQtyS() 
    {
        return qtyS;
    }
    public void setPcbItemR(String pcbItemR) 
    {
        this.pcbItemR = pcbItemR;
    }

    public String getPcbItemR() 
    {
        return pcbItemR;
    }
    public void setQtyR(BigDecimal qtyR) 
    {
        this.qtyR = qtyR;
    }

    public BigDecimal getQtyR() 
    {
        return qtyR;
    }
    public void setPcbItemShow(String pcbItemShow) 
    {
        this.pcbItemShow = pcbItemShow;
    }

    public String getPcbItemShow() 
    {
        return pcbItemShow;
    }
    public void setPid(String pid) 
    {
        this.pid = pid;
    }

    public String getPid() 
    {
        return pid;
    }
    public void setDpano(String dpano) 
    {
        this.dpano = dpano;
    }

    public String getDpano() 
    {
        return dpano;
    }
    public void setTechnicalstandard(String technicalstandard) 
    {
        this.technicalstandard = technicalstandard;
    }

    public String getTechnicalstandard() 
    {
        return technicalstandard;
    }
    public void setIqcIndex(String iqcIndex) 
    {
        this.iqcIndex = iqcIndex;
    }

    public String getIqcIndex() 
    {
        return iqcIndex;
    }
    public void setOutStockNo(String outStockNo) 
    {
        this.outStockNo = outStockNo;
    }

    public String getOutStockNo() 
    {
        return outStockNo;
    }
    public void setBoardNo(String boardNo) 
    {
        this.boardNo = boardNo;
    }

    public String getBoardNo() 
    {
        return boardNo;
    }
    public void setInbatchno(String inbatchno) 
    {
        this.inbatchno = inbatchno;
    }

    public String getInbatchno() 
    {
        return inbatchno;
    }
    public void setPurchaseprice(BigDecimal purchaseprice) 
    {
        this.purchaseprice = purchaseprice;
    }

    public BigDecimal getPurchaseprice() 
    {
        return purchaseprice;
    }
    public void setInternalprice(BigDecimal internalprice) 
    {
        this.internalprice = internalprice;
    }

    public BigDecimal getInternalprice() 
    {
        return internalprice;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("keyId", getKeyId())
            .append("taskno", getTaskno())
            .append("wo", getWo())
            .append("mo", getMo())
            .append("serialNumber", getSerialNumber())
            .append("outNo", getOutNo())
            .append("productNumber", getProductNumber())
            .append("id", getId())
            .append("pnCode", getPnCode())
            .append("pnName", getPnName())
            .append("batchNo", getBatchNo())
            .append("componentSn", getComponentSn())
            .append("supplier", getSupplier())
            .append("qualitygrate", getQualitygrate())
            .append("pcbItem", getPcbItem())
            .append("qty", getQty())
            .append("validDate", getValidDate())
            .append("filter", getFilter())
            .append("remarks", getRemarks())
            .append("updator", getUpdator())
            .append("updateDate", getUpdateDate())
            .append("pcbItem2", getPcbItem2())
            .append("pnSpec", getPnSpec())
            .append("iqcSn", getIqcSn())
            .append("workMan", getWorkMan())
            .append("workLocat", getWorkLocat())
            .append("checkMan", getCheckMan())
            .append("checkDate", getCheckDate())
            .append("pcbItemS", getPcbItemS())
            .append("qtyS", getQtyS())
            .append("pcbItemR", getPcbItemR())
            .append("qtyR", getQtyR())
            .append("pcbItemShow", getPcbItemShow())
            .append("pid", getPid())
            .append("dpano", getDpano())
            .append("technicalstandard", getTechnicalstandard())
            .append("iqcIndex", getIqcIndex())
            .append("outStockNo", getOutStockNo())
            .append("boardNo", getBoardNo())
            .append("inbatchno", getInbatchno())
            .append("purchaseprice", getPurchaseprice())
            .append("internalprice", getInternalprice())
            .toString();
    }
}
